﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GroupingColumnName
{
	public class ViewModel
	{
		Random rnd = new Random();
		public ObservableCollection<DataItem> DataItems { get; set; }
		public ViewModel()
		{
			DataItems = new ObservableCollection<DataItem>();
			GetData();
		}

		private void GetData()
		{
			for (int i = 0; i < 2560; i++)
			{
				DataItem dataItem = new DataItem();
				dataItem.Rate = rnd.Next(2, 256);
				dataItem.Tier = "Participant " + i;
				if (i < 500)
				{
					dataItem.Group = 1;
				}
				else if (i > 500 && i < 1000)
				{
					dataItem.Group = 2;
				}
				else if (i > 1000)
				{
					dataItem.Group = 3;
				}
				DataItems.Add(dataItem);
			}
		}
	}
}
